/v2/issuesAsk AIget https://app.fossa.com/api/v2/issuesRetrieve multiple issuesQuery ParamscsvbooleanRetrieves issues as a CSVtruefalseincludeDirectDependencyOriginPathsbooleanInclude origin paths for the direct dependency responsible for including the revision(s) affected by this issuetruefalsecategorystringenumrequiredIssue categorylicensingvulnerabilityqualityAllowed:licensingvulnerabilityqualitystatusstringenumIssue statusactiveignoredAllowed:activeignoredscope[type]stringenumrequiredScope of issues to view / updateglobalprojectreleaseGroupAllowed:globalprojectreleaseGroupscope[id]stringProject or release group ID (required when scope[type] is "project" or "releaseGroup")scope[revision]stringRevision ID (when scope[type] is "project")scope[revisionScanId]int32Revision scan ID (when scope[type] is "project")scope[release]stringRelease group ID (when scope[type] is "releaseGroup")scope[releaseScanId]stringRelease scan ID (when scope[type] is "releaseGroup")scope[compareTo][revision]stringThe revision ID to compare issues with. Only available for Project Scope.scope[compareTo][changeStatus]stringenumThe status of issues to fetch when comparing issues. - New issues are present in the current revision but not in the comparison revision. - Remediated issues are present in the comparison revision but not in the current revision. - Unchanged issues are present in both revisions. Only available for Project Scope.newremediatedunchangedAllowed:newremediatedunchangedids[]array of integersFilter by specific issue IDsids[]ADD integerfilter[revisionIds][]array of stringsFilter by specific revision IDsfilter[revisionIds][]ADD stringfilter[search]stringFilter by package name or CVE (when category is "vulnerability")filter[depths][]array of stringsFilter by issue depthfilter[depths][]ADD stringfilter[ticketed][]array of stringsFilter by ticketed status. Only available to premium users.filter[ticketed][]ADD stringfilter[containerLayers][]array of stringsFilter by container layerfilter[containerLayers][]ADD stringfilter[type][]Array 1Array 2Filter by licensing issue type (when category is "licensing") or quality issue type (when category is "quality")filter[type][] array of stringsfilter[packageManagers][]array of stringsFilter by specific package managersfilter[packageManagers][]ADD stringfilter[cwes][]array of stringsFilter by specific CWE identifiersfilter[cwes][]ADD stringfilter[projectLabels][]array of stringsFilter by specific project labelsfilter[projectLabels][]ADD stringfilter[identification][]array of stringsFilter by license identification (when category is "licensing")filter[identification][]ADD stringfilter[severity][]array of stringsFilter by vuln severity (when category is "vulnerability")filter[severity][]ADD stringfilter[severitySource][]array of stringsFilter by severity source (when category is "vulnerability"). Use 'standard' to filter by CVSS score, 'custom' to filter by custom risk score. When both are provided, issues matching either source are returned. Defaults to 'standard' when not provided. Custom risk score filtering requires the Custom Risk Scores feature to be enabled and a non-global scope.filter[severitySource][]ADD stringfilter[foundBefore]date-timeInclude only issues found on before a given ISO timestamp. Only available to premium usersfilter[foundAfter]date-timeInclude only issues found on after a given ISO timestamp. Only available to premium usersfilter[hasFix][]array of stringsFilter by vuln fixability (when category is "vulnerability")filter[hasFix][]ADD stringfilter[upgradeDistance][]array of stringsFilter by vuln upgrade distance (when category is "vulnerability")filter[upgradeDistance][]ADD stringfilter[exploitMaturity][]array of stringsFilter by vuln exploit maturity (when category is "vulnerability")filter[exploitMaturity][]ADD stringfilter[ignoreReason][]array of stringsFilter by vuln ignore reason (when category is "vulnerability") This value appears in the vulnerabilities.analysis.detail field in CycloneDX SBOM reportsfilter[ignoreReason][]ADD stringfilter[epss]objectFilter by epss 'score' or 'percentile'. All fields are required. Only available to premium users.filter[epss] objectfilter[confidence][]array of stringsFilter issues by their binary dependency confidence level(s)filter[confidence][]ADD stringfilter[issueSource][]Array 1Array 2Filter by issue source. Use 'dependency' and 'snippet' to filter by whether the issue comes from a dependency or a code snippet. When the vendored dependency detection feature is enabled, use 'managed-dependency' and 'vendored-dependency' to filter dependency issues by whether the dependency is managed or vendored.filter[issueSource][] array of stringssortstringenumSort by package name, when the issue was created, or severity (when category is "vulnerability")package_ascpackage_desccreated_at_asccreated_at_descseverity_ascseverity_descepss_ascepss_descShow 8 enum valuespageinteger≥ 1Defaults to 1The specific page of data to returncountinteger1 to 1000Defaults to 20The number of items to return in each page of resultsResponses 200Vulnerability, licensing, or quality issues response 202Empty results with a message indicating the scoped project's build status 400Bad Request 403Forbidden 406Not Acceptable 500Server ErrorUpdated 6 months ago